package com.transsion.myapplication;

import android.app.Application;

import com.transsion.push.PushConstants;
import com.transsion.push.PushManager;
import com.transsion.push.bean.PushConfig;
import com.transsion.push.bean.PushNotification;
import com.transsion.push.utils.PushLogUtils;

public class MyApplication extends Application {
    @Override
    public void onCreate() {
        super.onCreate();
        PushLogUtils.LOG.d("Demo1Application --> onCreate");
        PushManager.getInstance().init(getApplicationContext());
        PushManager.getInstance().registerReceiver(getApplicationContext(), new PushBroadcastReceiver());
        PushManager.getInstance().setPushConfig(
                new PushConfig.Builder()
                        .setCheckInterval(30 * 60) // 定时器检查间隔,默认2小时,取值范围：15分钟—12小时，单位为秒
                        .setUploadInterval(2 * 60 * 60) // wifi上报活跃间隔，取值范围：2小时—24小时，单位为秒
                        .setMobileUploadInterval(6 * 60 * 60) // 移动网络,上报活跃间隔，取值范围：2小时—24小时，单位为秒
                        //.setCloseJobService(true)
                        .build());

        PushManager.getInstance().addCustomNotification(new PushNotification.Builder()
                .setType(PushConstants.NOTIFICATION_DEFAULT_TYPE) // 设置样式类型
                .setSmallIcon(R.drawable.test_notification_small_icon) // 设置通知图标，必填
                .setShowDefaultLargeIcon(false) // 设置默认不显示大图
                .build());
        PushManager.getInstance().addCustomNotification(new PushNotification.Builder()
                .setType(PushConstants.NOTIFICATION_CUSTOM_TYPE) // 设置样式类型
                .setSmallIcon(R.drawable.test_notification_small_icon) // 设置通知图标，必填
                .setLayoutId(R.layout.custom_style_3) // 设置自定义样式通知布局
                .setIconId(R.id.notification_icon) // 设置自定义通知icon
                .setTitleId(R.id.notification_title) // 设置自定义通知标题
                .setContentId(R.id.notification_content) // 设置自定义通知内容
                .setBtnId(R.id.notification_btn) // 设置自定义通知按钮内容
                .setContentBigId(R.id.notification_content_ex)
                .setImgBigId(R.id.notification_img_ex)
                .build());
    }
}
